Bug 142286 - FORMATTING: No PowerPoint "Widescreen" in the screen size
Summary: FORMATTING: No PowerPoint "Widescreen" in the screen size
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.1.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 inReleaseNotes:7.3
Keywords:
Depends on:
Blocks: Impress-UX
  Show dependency treegraph
 
Reported: 2021-05-14 16:06 UTC by Jun Nogata
Modified: 2022-01-24 02:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jun Nogata 2021-05-14 16:06:31 UTC
Description:
The default screen size for PowerPoint 2019/365 is "Widescreen". Widescreen is not screen 16:9. Impress does not have widescreen. Widescreen is necessary for interoperability.


Steps to Reproduce:
1. Open Microsoft Powerpoint 2019/365.
2. Click Design tab -> Slide Size, and select "Custom Slide Size".
3. Check the screen size "Widescreen".

    * Widescreen: 33.867cm x 19.05cm
    * On-screen Show(16:9): 25.4cm x 14.288cm

    !! Widescreen and On-screen Show(16:9) are different !!

    See https://support.microsoft.com/en-us/office/change-the-size-of-your-slides-040a811c-be43-40b9-8d04-0de5ed79987e

4. Open Impress.
5. Open Slides -> Slide Properties.
6. Make sure there is no Widescreen in the format.

    * Screen 16;9: 28.00cm x 15.75cm


Actual Results:
Impress doesn't have Widescreen, so when I open pptx, the Paper format is User.

Expected Results:
Paper size has a widescreen. Interoperability will be ensured.


Reproducible: Always


User Profile Reset: No



Additional Info:
PowerPoint version
Microsoft® PowerPoint® for Microsoft 365 MSO (16.0.13929.20222) 64-bit 

LibreOffice version
Version: 7.1.3.2 (x64) / LibreOffice Community
Build ID: 47f78053abe362b9384784d31a6e56f8511eb1c1
CPU threads: 2; OS: Windows 10.0 Build 19042; UI render: default; VCL: win
Locale: ja-JP (ja_JP); UI: en-US
Calc: threaded
Comment 1 Timur 2021-07-19 09:47:07 UTC
Yes in 7.1, but seems fixed, Widescreen is there now. I close.
Comment 2 Timur 2021-07-19 09:47:42 UTC
..at least in master 7.3+.
Comment 3 Aron Budea 2021-07-19 10:19:48 UTC
I haven't checked in detail, but I presume the following is the fixing commit, thanks Jun!

https://cgit.freedesktop.org/libreoffice/core/commit/?id=6d4a1716624a8a045ff4e90bd221b563be44be11
Add PowerPoint compatible screen size for Impress
Comment 4 Stéphane Guillou (stragu) 2022-01-24 02:20:59 UTC
Verified fixed in:

Version: 7.3.0.2 / LibreOffice Community
Build ID: f1c9017ac60ecca268da7b1cf147b10e244b9b21
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded